const {globalFunc} = customJS
const DataType = 'Recipe'
let {viewtype, course, category, cuisine, ingredient, dateadded, theme, isfavourite, rating, cookingtime} = input;
let tempview = Boolean(viewtype) ? `${viewtype}` : 0

return globalFunc.getTable(dv, DataType, ["course", "category", "cuisine", "ingredient", "dateadded", "theme", "isfavourite", "rating", "cookingtime"], [course, category, cuisine, ingredient, dateadded, theme, isfavourite, rating, cookingtime], tempview)